Subject: Possible lpd/printcap bug
From: [email-masked]
Date: Tue, 6 Sep 1994 17:54:41 GMT
Newsgroups: comp.os.linux.announce

I've been stung by something in the way that lpd interprets printcap that
probably qualifies as a bug and surely qualifies as unexpected and
obnoxious behavior.

If a comment line (starting with #) follows a continuation line in a
printcap description, the comment delimiter is ignored and the rest of
the line is interpreted anyway.  Since I don't have the man page for
printcap (it didn't come with my Slackware 1.0 distribution, alas), I
can't verify for sure that the man page doesn't cover this case.
However, the Printing HOWTO doesn't cover it.

It is hard for me to see how the current behavior could be either useful
or desirable.  A comment line ought to be ignored wherever it appears,
I'd think.

Paul Abrahams
[email-masked]

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.